package com.ms.biz.service.impl;

import com.ms.dal.entity.RefundPurchaseOrder;
import com.ms.biz.service.RefundPurchaseOrderService;
import com.ms.dal.mapper.RefundPurchaseOrderMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class RefundPurchaseOrderServiceImpl implements RefundPurchaseOrderService{

    @Autowired
    private RefundPurchaseOrderMapper refundPurchaseOrderMapper;

    @Override
    public int deleteByPrimaryKey(Long id) {
        return refundPurchaseOrderMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(RefundPurchaseOrder record) {
        return refundPurchaseOrderMapper.insert(record);
    }

    @Override
    public int insertSelective(RefundPurchaseOrder record) {
        return refundPurchaseOrderMapper.insertSelective(record);
    }

    @Override
    public RefundPurchaseOrder selectByPrimaryKey(Long id) {
        return refundPurchaseOrderMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(RefundPurchaseOrder record) {
        return refundPurchaseOrderMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(RefundPurchaseOrder record) {
        return refundPurchaseOrderMapper.updateByPrimaryKey(record);
    }

}




